: Interface ICP

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.protocol.http.icp
Interface ICP

public interface ICP

Internet Cache Protocol well known constants. ICP is a light-weight proxy to proxy protocol (FIXME, url)

Field Summary
`static int` | `ICP_FLAG_HIT_OBJ`
`static int` | `ICP_OP_DATA`
`static int` | `ICP_OP_DATABEG`
`static int` | `ICP_OP_DATAEND`
`static int` | `ICP_OP_DECHO`
`static int` | `ICP_OP_DENIED`
`static int` | `ICP_OP_ERR`
`static int` | `ICP_OP_HIT`
`static int` | `ICP_OP_HIT_OBJ`
`static int` | `ICP_OP_INVALID` ICP constants - Invalid payload (must not be sent).
`static int` | `ICP_OP_MISS`
`static int` | `ICP_OP_QUERY`
`static int` | `ICP_OP_RELOADING`
`static int` | `ICP_OP_SECHO`
`static int` | `ICP_OP_SEND`
`static int` | `ICP_OP_SENDA`
`static int` | `ICP_VERSION` ICP constants - The major version of ICP we speak.

Field Detail

### ICP_VERSION

    public static final int ICP_VERSION

  ICP constants - The major version of ICP we speak.

### ICP_OP_INVALID

    public static final int ICP_OP_INVALID

  ICP constants - Invalid payload (must not be sent).

### ICP_OP_QUERY

    public static final int ICP_OP_QUERY

### ICP_OP_HIT

    public static final int ICP_OP_HIT

### ICP_OP_MISS

    public static final int ICP_OP_MISS

### ICP_OP_ERR

    public static final int ICP_OP_ERR

### ICP_OP_SEND

    public static final int ICP_OP_SEND

### ICP_OP_SENDA

    public static final int ICP_OP_SENDA

### ICP_OP_DATABEG

    public static final int ICP_OP_DATABEG

### ICP_OP_DATA

    public static final int ICP_OP_DATA

### ICP_OP_DATAEND

    public static final int ICP_OP_DATAEND

### ICP_OP_SECHO

    public static final int ICP_OP_SECHO

### ICP_OP_DECHO

    public static final int ICP_OP_DECHO

### ICP_OP_RELOADING

    public static final int ICP_OP_RELOADING

### ICP_OP_DENIED

    public static final int ICP_OP_DENIED

### ICP_OP_HIT_OBJ

    public static final int ICP_OP_HIT_OBJ

### ICP_FLAG_HIT_OBJ

    public static final int ICP_FLAG_HIT_OBJ

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD